OSX libmirsdr_api.so unsupported file format?

Add useful snippets of code or links to entire SDR projects.
jazzkutya
Posts: 26
Joined: Wed Sep 23, 2015 8:50 pm

OSX libmirsdr_api.so unsupported file format?

Postby jazzkutya » Mon Oct 12, 2015 3:24 pm

Hi sdrplay or Tech Support,

we have the below problem when trying to link against the api library libmirsdr_api.so:

LD_RUN_PATH="/usr/local/lib" cc -mmacosx-version-min=10.9 -arch x86_64 -arch i386 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector SDRPlay.o -o blib/arch/auto/K/SDRPlay/SDRPlay.bundle \
-L/usr/local/lib -lmirsdrapi-rsp \

ld: warning: ignoring file /usr/local/lib/libmirsdrapi-rsp.dylib, file was built for unsupported file format ( 0x62 0x6F 0x6F 0x6B 0x00 0x00 0x00 0x00 0x6D 0x61 0x72 0x6B 0x00 0x00 0x00 0x00 ) which is not the architecture being linked (x86_64): /usr/local/lib/libmirsdrapi-rsp.dylib
ld: warning: ignoring file /usr/local/lib/libmirsdrapi-rsp.dylib, file was built for unsupported file format ( 0x62 0x6F 0x6F 0x6B 0x00 0x00 0x00 0x00 0x6D 0x61 0x72 0x6B 0x00 0x00 0x00 0x00 ) which is not the architecture being linked (i386): /usr/local/lib/libmirsdrapi-rsp.dylib

The above linker invocation was performed by perl's ExtUtils::MakeMaker module which seems to not support library filenames ending with .so.
Because of this we made a symlink to libmirsdr_api.so named libmirsdr_api.dylib

OSX 10.9.5 64bit

Can you help with this?
Thanks,
jazzkutya
Last edited by jazzkutya on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 541
Joined: Wed Jan 07, 2015 7:58 am

Re: OSX libmirsdr_api.so unsupported file format?

Postby sdrplay » Mon Oct 12, 2015 3:38 pm

Hello Jazzkutya,

When did you download the API? It now installs from .pkg file with the correct filenames etc. to be compatible with the Linux version. Please confirm whether you see the same with the latest install (there should be no reference to libmir_sdr any more.

Best regards,

SDRplay Support
Last edited by sdrplay on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

jazzkutya
Posts: 26
Joined: Wed Sep 23, 2015 8:50 pm

Re: OSX libmirsdr_api.so unsupported file format?

Postby jazzkutya » Mon Oct 12, 2015 3:53 pm

Sorry, I meant to write libmirsdrapi-rsp.so, as shown in the copypasted error.

The error is not on my system, I'm using it fine on linux, but on DC1RDB's OSX system, he will report about using the latest installer.
Last edited by jazzkutya on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

jazzkutya
Posts: 26
Joined: Wed Sep 23, 2015 8:50 pm

Re: OSX libmirsdr_api.so unsupported file format?

Postby jazzkutya » Mon Oct 12, 2015 4:04 pm

From DC1RDB:
"I just did a fresh install on my Macbook using SDRplay_RSP_API_Installer_1.8.pkg downloaded from the OS X page of SDRPlay.com. The API works fine with SoapySDRPlay / CubicSDR."
Last edited by jazzkutya on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason


Return to “Code Corner”

Who is online

Users browsing this forum: No registered users and 1 guest